<?xml version="1.0" encoding="UTF-8"?>
<!--EDRS Version 2.0-->
<global>
   <file name="C:\\Program Files\\Polyspace\\R2023a\\polyspace\\verifier\\cxx\\include\\include-libc\\bits\\byteswap-16.h" comment="">
      <function name="__bswap_16" comment="" line="45" main_generator_called="MAIN_GENERATOR" attributes="static">
         <scalar name="arg1" comment="" line="45" base_type="uint16" complete_type="uint16" init_mode="MAIN_GENERATOR" init_modes_allowed="10" init_range="" global_assert="unsupported" assert_range="unsupported"/>
         <scalar name="return" comment="" line="45" base_type="uint16" complete_type="uint16" init_mode="disabled" init_range="disabled" global_assert="unsupported" assert_range="unsupported"/>
      </function>
   </file>
   <file name="C:\\Program Files\\Polyspace\\R2023a\\polyspace\\verifier\\cxx\\include\\include-libc\\bits\\byteswap.h" comment="">
      <function name="__bswap_32" comment="" line="88" main_generator_called="MAIN_GENERATOR" attributes="static">
         <scalar name="arg1" comment="" line="88" base_type="uint32" complete_type="uint32" init_mode="MAIN_GENERATOR" init_modes_allowed="10" init_range="" global_assert="unsupported" assert_range="unsupported"/>
         <scalar name="return" comment="" line="88" base_type="uint32" complete_type="uint32" init_mode="disabled" init_range="disabled" global_assert="unsupported" assert_range="unsupported"/>
      </function>
      <function name="__bswap_64" comment="" line="149" main_generator_called="MAIN_GENERATOR" attributes="static">
         <scalar name="arg1" comment="" line="149" base_type="uint64" complete_type="uint64" init_mode="MAIN_GENERATOR" init_modes_allowed="10" init_range="" global_assert="unsupported" assert_range="unsupported"/>
         <scalar name="return" comment="" line="149" base_type="uint64" complete_type="uint64" init_mode="disabled" init_range="disabled" global_assert="unsupported" assert_range="unsupported"/>
      </function>
   </file>
   <file name="C:\\Program Files\\Polyspace\\R2023a\\polyspace\\verifier\\cxx\\include\\include-libc\\bits\\huge_val.h" comment="">
      <struct name="__huge_val" comment="" line="50" attributes="static">
         <array name="__c" comment="" line="50" complete_type="uint8 [8]" attributes="static">
            <scalar comment="" line="50" base_type="uint8" attributes="static" complete_type="uint8" init_mode="MAIN_GENERATOR" init_modes_allowed="15" init_range="" global_assert="NO" assert_range=""/>
         </array>
      </struct>
   </file>
   <file name="C:\\Program Files\\Polyspace\\R2023a\\polyspace\\verifier\\cxx\\include\\include-libc\\bits\\huge_valf.h" comment="">
      <struct name="__huge_valf" comment="" line="48" attributes="static">
         <array name="__c" comment="" line="48" complete_type="uint8 [4]" attributes="static">
            <scalar comment="" line="48" base_type="uint8" attributes="static" complete_type="uint8" init_mode="MAIN_GENERATOR" init_modes_allowed="15" init_range="" global_assert="NO" assert_range=""/>
         </array>
      </struct>
   </file>
   <file name="C:\\Program Files\\Polyspace\\R2023a\\polyspace\\verifier\\cxx\\include\\include-libc\\bits\\huge_vall.h" comment="">
      <struct name="__huge_vall" comment="" line="37" attributes="static">
         <array name="__c" comment="" line="37" complete_type="uint8 [12]" attributes="static">
            <scalar comment="" line="37" base_type="uint8" attributes="static" complete_type="uint8" init_mode="MAIN_GENERATOR" init_modes_allowed="15" init_range="" global_assert="NO" assert_range=""/>
         </array>
      </struct>
   </file>
   <file name="C:\\Program Files\\Polyspace\\R2023a\\polyspace\\verifier\\cxx\\include\\include-libc\\bits\\nan.h" comment="">
      <struct name="__qnan_union" comment="" line="53" attributes="static">
         <array name="__c" comment="" line="53" complete_type="uint8 [4]" attributes="static">
            <scalar comment="" line="53" base_type="uint8" attributes="static" complete_type="uint8" init_mode="MAIN_GENERATOR" init_modes_allowed="15" init_range="" global_assert="NO" assert_range=""/>
         </array>
      </struct>
   </file>
   <file name="C:\\Users\\bvagi\\Documents\\Programmation\\Analyse Statique\\analyse-statique\\BE3_Analyse_Statique\\Sources\\polynome.c" comment="">
      <function name="resolve_poly2" comment="" line="28" main_generator_called="MAIN_GENERATOR" attributes="unused">
         <scalar name="arg1" comment="" line="28" base_type="int32" complete_type="int32" init_mode="MAIN_GENERATOR" init_modes_allowed="10" init_range="" global_assert="unsupported" assert_range="unsupported"/>
         <scalar name="arg2" comment="" line="28" base_type="int32" complete_type="int32" init_mode="MAIN_GENERATOR" init_modes_allowed="10" init_range="" global_assert="unsupported" assert_range="unsupported"/>
         <scalar name="arg3" comment="" line="28" base_type="int32" complete_type="int32" init_mode="MAIN_GENERATOR" init_modes_allowed="10" init_range="" global_assert="unsupported" assert_range="unsupported"/>
         <pointer name="arg4" comment="" line="28" complete_type="float32 *" init_mode="MAIN_GENERATOR" init_modes_allowed="10" initialize_pointer="Not NULL" number_allocated="max" init_pointed="MAIN_GENERATOR">
            <scalar comment="" line="28" base_type="float32" complete_type="float32" init_mode="MAIN_GENERATOR" init_modes_allowed="10" init_range="" global_assert="unsupported" assert_range="unsupported"/>
         </pointer>
         <scalar name="return" comment="" line="28" base_type="int8" complete_type="int8" init_mode="disabled" init_range="disabled" global_assert="unsupported" assert_range="unsupported"/>
      </function>
   </file>
</global>
